## Make.cairo

cairo: x libpng
	@echo Making cairo
	rm -rf $(BUILD)/cairo
	mkdir -p $(BUILD)/cairo
	bunzip2 -c $(ARCHIVE)/cairo-*.bz2 | tar xf - -C $(BUILD)/cairo || exit 1
	patch -d $(BUILD)/cairo/* -p1 < patches/cairo-1.2.6-jtl1.diff
	( cd $(BUILD)/cairo/* \
		&& CFLAGS="$(JTL_CFLAGS)" CXXFLAGS="$(JTL_CXXFLAGS)" \
			./configure --prefix=$(PREFIX) --enable-shared \
			--disable-static \
		&& $(MAKE) \
		&& $(REALLY) $(MAKE) install )
	du -hs $(BUILD)/cairo > $(MADE)/cairo
	rm -rf $(BUILD)/cairo
