## Make.perl

perl: gdbm db expat
	@echo Compiling perl
	rm -rf $(BUILD)/perl
	mkdir -p $(BUILD)/perl
	tar xjf $(ARCHIVE)/perl-*bz2 -C $(BUILD)/perl
	patch -d $(BUILD)/perl -p0 -F5 < patches/perl-5.8.8-jtl1.diff
	( cd $(BUILD)/perl/* \
		&& ./Configure -deO -Dprefix=$(PREFIX) -Uoptimize -Duseshrplib -Dcc=gcc -Dcppstdin=true -A define:cppstdin=true \
		&& $(MAKE) \
		&& $(REALLY) $(MAKE) install )
	du -hs $(BUILD)/perl > $(MADE)/perl
	rm -rf $(BUILD)/perl
